<template>
    <!-- <base-layout pageTitle = "Welcome to the Space DAO" page-default-back-link="/login"> -->
    <multi-page-layout pageTitle = "About the Space DAO">

        <!-- <ion-grid>
            <ion-row>
                <ion-col>
                    <orbit-state-value stat="rso"></orbit-state-value>
                </ion-col>
                <ion-col>
                    <orbit-state-value stat="cdm"></orbit-state-value>
                </ion-col>
                <ion-col>
                    <orbit-state-value stat="supplier"></orbit-state-value>
                </ion-col>
            </ion-row>
        </ion-grid> -->

        <!-- What is Space DAO? -->
        <ion-card>
            <ion-grid>
                <ion-row>
                    <ion-col>
                        <ion-row text-center>
                            <h1>What is Space DAO ?</h1>
                        </ion-row>
                        <ion-row>
                            <div id="list">
                            <h5>Space DAO is Parametry.ai‘s answer to the high uncertainty in space-related measurements like those inevitable for STM, DRM or EO. It is a decentralised system/network that - as a platform - offers many different capabilities:</h5>
                            <ul>
                                <li>Finding consensus on measurements from multiple measurements/ sources</li>
                                <li>Quality assurance with respect to the networks consensus</li>
                                <li>A marketplace for Insights (data and analytics)</li>
                            </ul>
                            </div>
                            <div id="list">
                            <h5>Space DAO’s capabilities grow with the inputs and requests of its users/stakeholders. In general there are 3 types of stakeholders:</h5>
                            <ul>
                                <li>maintainers build the network and keep it running Example: Parametry.ai</li>
                                <li>Data providers provide measurements and/or analysis to the network and get rewarded for it Example: ESA, NASA, LeoLabs</li>
                                <li>Data users use the knowledge comprised in the Space DAO network for their work. They can build analysis on the data and offer them themselves to the Space DAO (therefore becoming themselves data providers) or use them for projects external to the Space DAO.</li>
                            </ul>
                            </div>

                        </ion-row>
                    </ion-col>
                    <ion-col>
                        <ion-thumbnail>
                            <img alt="Silhouette of mountains" src="https://ionicframework.com/docs/img/demos/thumbnail.svg" />
                        </ion-thumbnail>
                        </ion-col>
                </ion-row>
            </ion-grid>
        </ion-card>

        <ion-row style="height: 10h"></ion-row>


        <!-- Problem with Status Quo -->
        <ion-card>
            <ion-grid>
                <ion-row>
                    <ion-col>
                        <ion-row text-center>
                            <h1>The Problems we face today</h1>
                        </ion-row>
                        <ion-row>
                            <div id="list">
                            <h5>Existing problems with Space Situational Awareness</h5>
                            <ul>
                                <li><b>too many rogue satellites </b> Satellites fail. And when they do, they introduce danger for other satellties. To avoid dystopias like the kessler Syndrome, a colision with operative/manouvreble and/or dead satellites must be avoided.</li>
                                <li><b>per colision warning</b> many things happen per conjection warning.
                                    <ul>
                                        <li><b>multiple measurements</b> Description.</li>
                                        <li><b>no single source of truth</b> Description.</li>
                                        <li><b>no measurement for rule making</b> Description.</li>
                                        <li><b>--> Space DAO as instrument for rule makers</b> Description.</li>
                                    </ul>
                                </li>
                                <li><b>lack of trust</b> Description</li>
                                <li><b>Absence of timely accurate data</b> Hence need for more contributors More contributors Mean more validation More validated data means better accuracy (what sense)</li>
                            </ul>
                            </div>
                            
                        </ion-row>
                    </ion-col>
                    <ion-col>
                        <ion-thumbnail>
                            <img alt="Silhouette of mountains" src="https://ionicframework.com/docs/img/demos/thumbnail.svg" />
                        </ion-thumbnail>
                        </ion-col>
                </ion-row>
            </ion-grid>
        </ion-card>


        <!-- Space DAO features -->
        <ion-card>
            <ion-grid>
                <ion-row>
                    <ion-col>
                        <ion-row text-center>
                            <h1>What features does the Space DAO offer ?</h1>
                        </ion-row>
                        <ion-row>
                            <div id="list">
                            <h5>Space DAO as a platform offers a multitude of interesting functionalities to reach consensus, build products off it and contribute it back to the network, whereby each user can earn money.</h5>
                            <ul>
                                <li><b>Data trust augementation: </b> Space DAO ultimately fuses all data of one category to one estimate. Since these values consist of measurements from multiple sources, the trust in this measurment is elevated by design.</li>
                                <li><b>Network's consens distribution:</b> for each measurement, the networks consensus distribution is stated. With this metric, the comformity of the provided data can be measured.</li>
                                <li><b>Delta to network's consensus: </b> Building on the consensu distribution, each data provider can test their own data against the network consensus. This benchmarking helps with data quality assurance.</li>
                            </ul>
                            </div>
                            
                        </ion-row>
                    </ion-col>
                    <ion-col>
                        <ion-thumbnail>
                            <img alt="Silhouette of mountains" src="https://ionicframework.com/docs/img/demos/thumbnail.svg" />
                        </ion-thumbnail>
                        </ion-col>
                </ion-row>
            </ion-grid>
        </ion-card>

        <ion-card>
            <ion-row>
                <h1>Comparison Table</h1>
            </ion-row>
            <dao-tier-table></dao-tier-table>
        </ion-card>

        <ion-content class="ion-padding"></ion-content>
    <!-- </base-layout> -->
    </multi-page-layout>
</template>

<script lang="ts">
    import { IonCol, IonGrid, IonRow, IonCard } from '@ionic/vue';
    import { IonThumbnail } from '@ionic/vue';

    // import OrbitStateValue from '../components/widgets/OrbitStateValue.vue';
    import DaoTierTable from '../components/widgets/DaoTierTable_v2.vue';

    import { personCircle } from 'ionicons/icons';
    import { searchCircle } from 'ionicons/icons';
    import { defineComponent } from 'vue';
    
    export default defineComponent({
        components: {
            IonCol,
            IonGrid,
            IonRow,
            IonCard,
            IonThumbnail,
            DaoTierTable
            // OrbitStateValue,
        },
        props: {
            title : String
        },
        data() {
            return {list_data:undefined}
        },



        // },
        setup() {
            return { personCircle, searchCircle };
        },
  });
</script>

<style scoped>
  ion-col {
    /* background-color: #135d54; */
    border: solid 0px #000;
    /* color: #fff; */
    text-align: center;
  }
  #list {
  /* width: 333px; */
  margin: 30px auto;
  font-size: 16px;
}
#list ul {
  margin-top: 25px;
}
#list ul li {
  text-align: left;
  list-style: disc;
  margin: 10px 0px;
}
/* ion-content {
  --padding-bottom: 55px;
  --padding-end: 10px;
  --padding-start: 20px;
  --padding-top: 20px;
} */




</style>